Package org.apache.sling.jackrabbit.usermanager.impl.resource

# Interface AuthorizableResourceProvider.PrincipalWorker<T>

Enclosing class:
  AuthorizableResourceProvider

protected static interface AuthorizableResourceProvider.PrincipalWorker<T>
Interface for lambda expressions to do work on a resolved principal

## Method Summary

Modifier and Type
Method
Description
`T`
`doWork(@NotNull Principal principal)`

## Method Details

### doWork

T doWork(@NotNull @NotNull Principal principal) throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`